class XCurrency {
  final String iso_4217_code;
  final String iso_4217_numeric;
  final String iso_4217_name;
  final int? iso_4217_minor_unit;
  final String? full_name;
  final String? symbol;
  final String? symbol_native;
  final int? decimal_digits;
  final double? rounding;
  final String? name_plural;
  final String? withdrawal_date;
  XCurrency({
    required this.iso_4217_code,
    required this.iso_4217_numeric,
    required this.iso_4217_name,
    required this.iso_4217_minor_unit,
    required this.full_name,
    required this.symbol,
    required this.symbol_native,
    required this.decimal_digits,
    required this.rounding,
    required this.name_plural,
    required this.withdrawal_date,
  });

  Map toJson() => {
        "iso_4217_code": iso_4217_code,
        "iso_4217_numeric": iso_4217_numeric,
        "iso_4217_name": iso_4217_name,
        "iso_4217_minor_unit": iso_4217_minor_unit,
        "full_name": full_name,
        "symbol": symbol,
        "symbol_native": symbol_native,
        "decimal_digits": decimal_digits,
        "rounding": rounding,
        "name_plural": name_plural,
        "withdrawal_date": withdrawal_date,
      };
}
