class XLanguage {
  String? iso_639_1__alpha2;
  String? iso_639_2__alpha3;
  String? family;
  String? name;
  String? native;
  String? wikiUrl;
  Map<XLanguage, List<String>?>? name_in;

  XLanguage({
    this.iso_639_1__alpha2,
    this.iso_639_2__alpha3,
    this.family,
    this.name,
    this.native,
    this.wikiUrl,
    this.name_in,
  }) {
    name_in = {};
  }

  Map toJson() => {
        "iso_639_1__alpha2": iso_639_1__alpha2,
        "iso_639_2__alpha3": iso_639_2__alpha3,
        "family": family,
        "name": name,
        "native": native,
        "wikiUrl": wikiUrl,
        "name_in": name_in!.map((key, value) => MapEntry(key.iso_639_2__alpha3, value))
      };
}
